Bug 246167 - NetworkManager keyring password harassment
NetworkManager keyring password harassment
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 18:11 EDT by Filip Miletic
Modified: 2008-06-16 21:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:44:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Miletic 2007-06-28 18:11:04 EDT
Description of problem:


Version-Release number of selected component (if applicable):
NetworkManager-0.6.5-6.fc7

How reproducible:
Always when a wireless connection is about to be established

Steps to Reproduce:
1. Login to an X session
2. Make sure you have NetworkManager and NetworkManagerDispatcher running
3. Make sure you have a working wireless network connection
  
Actual results:
The NetworkManager started asking for a password a little too often starting
from f7.  Whenever it is reconnecting, I am first asked for the keyring
password.  Then I am asked to provide the network password.  Then I am asked to
provide the keyring password again.  This happens upon *every* reconnect to the
network.

Expected results:
NetworkManager should ask me for a network password only once across sessions,
provided that the network password has not changed.  NetworkManager should ask
for keyring password only once per session. 

Additional info:
Comment 1 W. Michael Petullo 2007-08-26 17:18:56 EDT
Note that one should be able to avoid providing a gnome-keyring by using
pam_keyring.
Comment 2 Filip Miletic 2007-10-31 03:54:04 EDT
True, but pam_keyring does not work for me.  The only thing it does when
installed  according to the manual found on the website, is that gdm needs the
password input *twice* to let me start an X session.
Comment 3 Alex Lancaster 2008-03-02 04:50:48 EST
This seems to be the same problem as bug #183737.
Comment 4 Bug Zapper 2008-05-14 09:19:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:44:09 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.